Download it now!
Bug 97924 - Transparency slider causes entire Sidebar to constantly refresh
Summary: Transparency slider causes entire Sidebar to constantly refresh
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.1.1 rc
Hardware: All All
: medium normal
Assignee: Rishabh
URL:
Whiteboard: target:5.2.0
Keywords: regression
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2016-02-17 07:15 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-24 16:27 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-02-17 07:15:07 UTC
Steps:
1) Open Impress
2) Draw a shape
3) In the sidebar area content panel, drag the transparency slider and notice that all content panels in the sidebar refresh constantly during sliding.

The behaviour isnt as bad in Writer, as the refresh only seems to happen at the end of the drag. Not setting this to bibisect as 5.1 replaced the spinbox with a slider.

Version: 5.2.0.0.alpha0+
Build ID: fea95da81260bc7eabe7ece595829009b2db3e62
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-10_01:41:22
Locale: en-US (en_US.UTF-8)
Comment 1 Commit Notification 2016-02-17 13:05:35 UTC
Rishabh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa0f47aa65693a9763ac0ebeed85c09ac2076431

tdf#97924: Transparency slider causes entire sidebar to constantly refresh

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.